cd /builds/$CI_PROJECT_PATH/wireless/
PKGS="wifictld"

cd  ~/build_dir

echo "=== Found new/modified packages: $PKGS"
for PKG in $PKGS ; do
    echo "===+ Download: $PKG"
    make "package/$PKG/download" V=s

    echo "===+ Check package: $PKG"
    make "package/$PKG/check" V=s 2>&1 | tee logtmp
    RET=${PIPESTATUS[0]}

    if [ $RET -ne 0 ]; then
        echo   "=> Package check failed: $RET)"
        exit $RET
    fi

    badhash_msg="HASH does not match "
    badhash_msg+="|HASH uses deprecated hash,"
    badhash_msg+="|HASH is missing,"
    if grep -qE "$badhash_msg" logtmp; then
        echo   "=> Package HASH check failed"
        exit 1
    fi
    echo_green "=> Package check OK"
done



for PKG in $PKGS ; do
    echo "===+ Building: $PKG"
    make "package/$PKG/compile" -j3 V=s
done